Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
nombre réponses : 25

#0 Re : -1 »  Executer un script par un double click sur une icone » Le 16/05/2015, à 19:35

gegetrois
Réponses : 2

Bjr
Peut-être dans les permissions du fichier ( propriétés), cocher la case 'executer comme un programme....

#1 -1 »  [RESOLU]Problèmes avec Wordbiz » Le 12/05/2015, à 21:59

gegetrois
Réponses : 10

Bonjour,

J'ai installé le jeu en ligne Wordbiz qui est un jeu de scrabble, apparemment sans  problème.
Je suis sous Ubuntu version 14.04 LTS 32 bits
J'ai la version 1.7 de Java

gerard@gerard-W240EU-W250EUQ-W270EUQ:~$ java -version
java version "1.7.0_79"
OpenJDK Runtime Environment (IcedTea 2.5.5) (7u79-2.5.5-0ubuntu0.14.04.2)
OpenJDK Server VM (build 24.79-b02, mixed mode)
gerard@gerard-W240EU-W250EUQ-W270EUQ:~$ 

J'ai mis le dossier Wordbiz dans mon dossier personnel, j'ai mis les droits adéquats sur le dossier 
1431460217.png
1431459769.png

et je lance wordbiz en faisant :

gerard@gerard-W240EU-W250EUQ-W270EUQ:~$ cd WordBiz
gerard@gerard-W240EU-W250EUQ-W270EUQ:~/WordBiz$ java -jar wordbiz.jar

en attendant de mettre une icône de lancement.

Le logiciel se lance, je peux choisir la langue, m'identifier, j'ai même le son, je peux  ouvrir une partie en duplicate
mais dés que j'essaie de jouer en cliquant sur 'poser', le logiciel se fige, le chrono s'arrête, et tout clic devient inopérant.
il faut que je quitte le logiciel en faisant CTRL C dans le terminal. (je ne sais pas si cette commande est bien appropriée,
mais elle fonctionne).
J'ai lu pas mal de post sur le sujet, sans trouver quelqu'un qui a les mêmes symptômes que moi et puis les posts
sur le sujet ont plus de 2ans soit avant la version 14.04

j'ai essayé cette commande :

xterm -e 'cd /home/gerard/WordBiz/ && java -jar ./wordbiz.jar'

pour lancer Wordbiz, mais les phénomènes restent les mêmes....

J'avoue que je ne sais plus quoi essayer pour faire marcher,
quelqu'un aurait-il une idée ?
bien cordialement,
gegetrois

#2 Re : -1 »  [RESOLU]Problèmes avec Wordbiz » Le 15/05/2015, à 17:24

gegetrois
Réponses : 10

Il me semble que ce n'est pas trop recommandé, et comme je ne suis
pas un spécialiste, je laisse JDK.
merci pour l'idée

#3 Re : -1 »  [RESOLU]Problèmes avec Wordbiz » Le 16/05/2015, à 11:32

gegetrois
Réponses : 10

Ok, j'ai installé java pour Oracle, je me suis inspiré de cette page https://doc.ubuntu-fr.org/java
ou les commandes sont très bien expliquées.
j'ai téléchargé la version  "jre-7u79-linux-i586.tar.gz"
et fait les manips adéquates pour l'install, j'ai dit au système que je voulais utiliser cette version de java
Résultat :
c'est pire qu'avant :  le menu de l'application de scrabble en ligne ne s'affiche qu'en partie et c'est systématique,

La seule chose que je n'ai pas fait, c'est installer les greffons pour Firefox, mais est-ce nécessaire ?

#4 Re : -1 »  [RESOLU]Problèmes avec Wordbiz » Le 16/05/2015, à 11:32

gegetrois
Réponses : 10

Ok, j'ai installé java pour Oracle, je me suis inspiré de cette page https://doc.ubuntu-fr.org/java
ou les commandes sont très bien expliquées.
j'ai téléchargé la version  "jre-7u79-linux-i586.tar.gz"
et fait les manips adéquates pour l'install, j'ai dit au système que je voulais utiliser cette version de java
Résultat :
c'est pire qu'avant :  le menu de l'application de scrabble en ligne ne s'affiche qu'en partie et c'est systématique,

La seule chose que je n'ai pas fait, c'est installer les greffons pour Firefox, mais est-ce nécessaire ?

#5 Re : -1 »  [RESOLU]Problèmes avec Wordbiz » Le 16/05/2015, à 18:31

gegetrois
Réponses : 10

Ok,
je crois que je vais effectivement opter pour java8,
merci pour ton aide, pour les infos et les suggestions, j'ai un peu appris sur le sujet, et vive Ubuntu ! 
Cdlt

#6 Re : -1 »  [RESOLU]Problèmes avec Wordbiz » Le 16/05/2015, à 16:42

gegetrois
Réponses : 10

hé bien, je vais essayer java8 comme tu me l'indiques, mais auparavant
je voudrais lever un doute avec la commande que tu m'as indiquée :

gerard@gerard-W240EU-W250EUQ-W270EUQ:~$ update-alternatives --config java
Il existe 2 choix pour l'alternative java (qui fournit /usr/bin/java).

  Sélection   Chemin                                         Priorité  État
------------------------------------------------------------
  0            /usr/lib/jvm/java-6-openjdk-i386/jre/bin/java   1061      mode automatique
  1            /opt/java/32/jre1.7.0_79/bin/java               1         mode manuel
* 2            /usr/lib/jvm/java-6-openjdk-i386/jre/bin/java   1061      mode manuel

Appuyez sur <Entrée> pour conserver la valeur par défaut[*] ou choisissez le numéro sélectionné :

je suis revenu sous Jdk, c'est bien ce que je voulais, par contre si je tapes 1 pour aller sur java oracle
il y a une erreur :

gerard@gerard-W240EU-W250EUQ-W270EUQ:~$ update-alternatives --config java
Il existe 2 choix pour l'alternative java (qui fournit /usr/bin/java).

  Sélection   Chemin                                         Priorité  État
------------------------------------------------------------
  0            /usr/lib/jvm/java-6-openjdk-i386/jre/bin/java   1061      mode automatique
  1            /opt/java/32/jre1.7.0_79/bin/java               1         mode manuel
* 2            /usr/lib/jvm/java-6-openjdk-i386/jre/bin/java   1061      mode manuel

Appuyez sur <Entrée> pour conserver la valeur par défaut[*] ou choisissez le numéro sélectionné :1
update-alternatives: utilisation de « /opt/java/32/jre1.7.0_79/bin/java » pour fournir « /usr/bin/java » (java) en mode manuel
update-alternatives: erreur: erreur pendant la création du lien symbolique « /etc/alternatives/java.dpkg-tmp »: Permission non accordée
gerard@gerard-W240EU-W250EUQ-W270EUQ:~$ 

Java sous oracle est-il mal installé ?

#7 Re : -1 »  [RESOLU]Problèmes avec Wordbiz » Le 16/05/2015, à 17:10

gegetrois
Réponses : 10

j'ai trouvé ceci :
la commande marche mieux avec sudo

gerard@gerard-W240EU-W250EUQ-W270EUQ:~$ sudo update-alternatives --config java
[sudo] password for gerard: 
Il existe 2 choix pour l'alternative java (qui fournit /usr/bin/java).

  Sélection   Chemin                                         Priorité  État
------------------------------------------------------------
  0            /usr/lib/jvm/java-6-openjdk-i386/jre/bin/java   1061      mode automatique
  1            /opt/java/32/jre1.7.0_79/bin/java               1         mode manuel
* 2            /usr/lib/jvm/java-6-openjdk-i386/jre/bin/java   1061      mode manuel

Appuyez sur <Entrée> pour conserver la valeur par défaut[*] ou choisissez le numéro sélectionné :1
update-alternatives: utilisation de « /opt/java/32/jre1.7.0_79/bin/java » pour fournir « /usr/bin/java » (java) en mode manuel
gerard@gerard-W240EU-W250EUQ-W270EUQ:~$ sudo update-alternatives --config java
Il existe 2 choix pour l'alternative java (qui fournit /usr/bin/java).

  Sélection   Chemin                                         Priorité  État
------------------------------------------------------------
  0            /usr/lib/jvm/java-6-openjdk-i386/jre/bin/java   1061      mode automatique
* 1            /opt/java/32/jre1.7.0_79/bin/java               1         mode manuel
  2            /usr/lib/jvm/java-6-openjdk-i386/jre/bin/java   1061      mode manuel

Appuyez sur <Entrée> pour conserver la valeur par défaut[*] ou choisissez le numéro sélectionné 

et là, youpi, le logiciel fonctionne (a priori correctement)
mais ce n'est peut-être pas très propre comme installation, en tout cas,  merci pour ton aide
j'attends ta réponse et je passe en résolu.

#8 -1 »  [résolu] [à moitié]Installation opencpn pas ok » Le 05/12/2014, à 13:17

gegetrois
Réponses : 5

Bonjour,
Je suis sous Ubuntu 14.04 LTS, et je cherche à installer OPENCPN.
je saisi donc dans un terminal :

sudo add-apt-repository ppa:opencpn/opencpn

Réponse  : tout va bien

sudo password for gerard: 
 A Chartplotter and GPS Navigation Software.

OpenCPN is a free software (GPLv2) project to create a concise chartplotter and navigation software for use as an underway or planning tool.  OpenCPN is developed by a team of active sailors using real world conditions for program testing and refinement.
 Plus d’info : https://launchpad.net/~opencpn/+archive/ubuntu/opencpn
Appuyez sur [ENTRÉE] pour continuer ou Ctrl-C pour annuler l’ajout

gpg: le porte-clefs « /tmp/tmpyhmpd2ue/secring.gpg » a été créé
gpg: le porte-clefs « /tmp/tmpyhmpd2ue/pubring.gpg » a été créé
gpg: demande de la clef C865EB40 sur le serveur hkp keyserver.ubuntu.com
gpg: /tmp/tmpyhmpd2ue/trustdb.gpg : base de confiance créée
gpg: clef C865EB40 : clef publique « Launchpad PPA for OpenCPN » importée
gpg: Quantité totale traitée : 1
gpg:               importées : 1  (RSA: 1)
OK
gerard@gerard-W240EU-W250EUQ-W270EUQ:~$

Apres je fait :

sudo apt-get update

Réponse il manque des paquets

Ign http://archive.canonical.com trusty InRelease
Ign http://dl.google.com stable InRelease                                      
Ign http://extras.ubuntu.com trusty InRelease                                  
Ign http://ppa.launchpad.net trusty InRelease                                  
Atteint http://archive.canonical.com trusty Release.gpg                        
Atteint http://dl.google.com stable Release.gpg                                
Atteint http://extras.ubuntu.com trusty Release.gpg                            
Ign http://ppa.launchpad.net trusty Release.gpg                                
Ign http://security.ubuntu.com trusty-security InRelease                       
Ign http://fr.archive.ubuntu.com trusty InRelease                              
Atteint http://archive.canonical.com trusty Release                            
Atteint http://dl.google.com stable Release                                    
Atteint http://extras.ubuntu.com trusty Release                                
Ign http://ppa.launchpad.net trusty Release                                    
Réception de : 1 http://security.ubuntu.com trusty-security Release.gpg [933 B]
Atteint http://archive.canonical.com trusty/partner i386 Packages              
Ign http://fr.archive.ubuntu.com trusty-updates InRelease                      
Atteint http://archive.canonical.com trusty/partner Translation-en             
Atteint http://dl.google.com stable/main i386 Packages                         
Atteint http://extras.ubuntu.com trusty/main i386 Packages                     
Réception de : 2 http://security.ubuntu.com trusty-security Release [62,0 kB]  
Ign http://fr.archive.ubuntu.com trusty-proposed InRelease                     
Atteint http://fr.archive.ubuntu.com trusty Release.gpg                        
Réception de : 3 http://fr.archive.ubuntu.com trusty-updates Release.gpg [933 B]
Réception de : 4 http://fr.archive.ubuntu.com trusty-proposed Release.gpg [933 B]
Réception de : 5 http://security.ubuntu.com trusty-security/main i386 Packages [160 kB]
Atteint http://fr.archive.ubuntu.com trusty Release                            
Réception de : 6 http://fr.archive.ubuntu.com trusty-updates Release [62,0 kB] 
Ign http://extras.ubuntu.com trusty/main Translation-fr_FR                     
Ign http://dl.google.com stable/main Translation-fr_FR                         
Ign http://dl.google.com stable/main Translation-fr                            
Ign http://extras.ubuntu.com trusty/main Translation-fr                        
Réception de : 7 http://fr.archive.ubuntu.com trusty-proposed Release [209 kB] 
Réception de : 8 http://security.ubuntu.com trusty-security/restricted i386 Packages [14 B]
Ign http://extras.ubuntu.com trusty/main Translation-zh_CN                     
Err http://ppa.launchpad.net trusty/main i386 Packages                         
  404  Not Found
Ign http://dl.google.com stable/main Translation-zh_CN                         
Réception de : 9 http://security.ubuntu.com trusty-security/universe i386 Packages [73,2 kB]
Ign http://ppa.launchpad.net trusty/main Translation-fr_FR                     
Ign http://dl.google.com stable/main Translation-en                            
Ign http://extras.ubuntu.com trusty/main Translation-en                        
Ign http://ppa.launchpad.net trusty/main Translation-fr                        
Ign http://ppa.launchpad.net trusty/main Translation-zh_CN                     
Ign http://ppa.launchpad.net trusty/main Translation-en                        
Réception de : 10 http://security.ubuntu.com trusty-security/multiverse i386 Packages [1 389 B]
Réception de : 11 http://security.ubuntu.com trusty-security/main Translation-en [82,5 kB]
Atteint http://security.ubuntu.com trusty-security/multiverse Translation-en   
Atteint http://fr.archive.ubuntu.com trusty/main i386 Packages                 
Atteint http://security.ubuntu.com trusty-security/restricted Translation-en
Atteint http://fr.archive.ubuntu.com trusty/restricted i386 Packages           
Atteint http://security.ubuntu.com trusty-security/universe Translation-en     
Atteint http://fr.archive.ubuntu.com trusty/universe i386 Packages             
Atteint http://fr.archive.ubuntu.com trusty/multiverse i386 Packages
Atteint http://fr.archive.ubuntu.com trusty/main Translation-fr
Atteint http://fr.archive.ubuntu.com trusty/main Translation-zh_CN
Atteint http://fr.archive.ubuntu.com trusty/main Translation-en
Atteint http://fr.archive.ubuntu.com trusty/multiverse Translation-fr
Atteint http://fr.archive.ubuntu.com trusty/multiverse Translation-zh_CN       
Atteint http://fr.archive.ubuntu.com trusty/multiverse Translation-en          
Atteint http://fr.archive.ubuntu.com trusty/restricted Translation-fr          
Atteint http://fr.archive.ubuntu.com trusty/restricted Translation-zh_CN       
Atteint http://fr.archive.ubuntu.com trusty/restricted Translation-en          
Atteint http://fr.archive.ubuntu.com trusty/universe Translation-fr            
Atteint http://fr.archive.ubuntu.com trusty/universe Translation-zh_CN         
Atteint http://fr.archive.ubuntu.com trusty/universe Translation-en            
Réception de : 12 http://fr.archive.ubuntu.com trusty-updates/main i386 Packages [363 kB]
Réception de : 13 http://fr.archive.ubuntu.com trusty-updates/restricted i386 Packages [5 820 B]
Réception de : 14 http://fr.archive.ubuntu.com trusty-updates/universe i386 Packages [222 kB]
Réception de : 15 http://fr.archive.ubuntu.com trusty-updates/multiverse i386 Packages [9 567 B]
Réception de : 16 http://fr.archive.ubuntu.com trusty-updates/main Translation-en [170 kB]
Atteint http://fr.archive.ubuntu.com trusty-updates/multiverse Translation-en  
Atteint http://fr.archive.ubuntu.com trusty-updates/restricted Translation-en  
Réception de : 17 http://fr.archive.ubuntu.com trusty-updates/universe Translation-en [112 kB]
Réception de : 18 http://fr.archive.ubuntu.com trusty-proposed/restricted i386 Packages [667 B]
Réception de : 19 http://fr.archive.ubuntu.com trusty-proposed/main i386 Packages [149 kB]
Réception de : 20 http://fr.archive.ubuntu.com trusty-proposed/multiverse i386 Packages [14 B]
Réception de : 21 http://fr.archive.ubuntu.com trusty-proposed/universe i386 Packages [29,5 kB]
Atteint http://fr.archive.ubuntu.com trusty-proposed/main Translation-fr       
Atteint http://fr.archive.ubuntu.com trusty-proposed/main Translation-zh_CN    
Réception de : 22 http://fr.archive.ubuntu.com trusty-proposed/main Translation-en [58,7 kB]
Atteint http://fr.archive.ubuntu.com trusty-proposed/multiverse Translation-fr 
Atteint http://fr.archive.ubuntu.com trusty-proposed/multiverse Translation-zh_CN
Atteint http://fr.archive.ubuntu.com trusty-proposed/multiverse Translation-en 
Atteint http://fr.archive.ubuntu.com trusty-proposed/restricted Translation-fr 
Atteint http://fr.archive.ubuntu.com trusty-proposed/restricted Translation-zh_CN
Réception de : 23 http://fr.archive.ubuntu.com trusty-proposed/restricted Translation-en [267 B]
Atteint http://fr.archive.ubuntu.com trusty-proposed/universe Translation-fr   
Atteint http://fr.archive.ubuntu.com trusty-proposed/universe Translation-zh_CN
Réception de : 24 http://fr.archive.ubuntu.com trusty-proposed/universe Translation-en [20,9 kB]
Ign http://fr.archive.ubuntu.com trusty/main Translation-fr_FR                 
Ign http://fr.archive.ubuntu.com trusty/multiverse Translation-fr_FR           
Ign http://fr.archive.ubuntu.com trusty/restricted Translation-fr_FR           
Ign http://fr.archive.ubuntu.com trusty/universe Translation-fr_FR             
1 795 ko réceptionnés en 21s (83,8 ko/s)                                       
W: Impossible de récupérer http://ppa.launchpad.net/opencpn/opencpn/ubuntu/dists/trusty/main/binary-i386/Packages  404  Not Found

E: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.

J'ai essayé, malgré tout d'installer opencpn

sudo apt-get install opencpn

mais bien sur ça ne marche pas

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Aucune version du paquet opencpn n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source

E: Le paquet « opencpn » n'a pas de version susceptible d'être installée

quelqu'un aurait-il une idée ?

#9 Re : -1 »  [résolu] [à moitié]Installation opencpn pas ok » Le 06/12/2014, à 16:55

gegetrois
Réponses : 5

merci pour l'info, je vais regarder

#10 Re : -1 »  [résolu] [à moitié]Installation opencpn pas ok » Le 07/12/2014, à 14:43

gegetrois
Réponses : 5

J'ai réussi à télécharger à partir de :  http://opencpn.org/ocpn/download

But it's in English !

Merci Madame Michu

#11 Re : -1 »  [Résolu] gcc - erreur "référence au symbole non défini " » Le 16/12/2014, à 20:48

gegetrois
Réponses : 6

Bonjour 'polemarque'
concernant imgkap :
j'ai eu le même soucis pour compiler (probleme de sudo)
la compil a marché, mais impossible de lancer l'exécutable imgkap.

Est ce que ca a  marché chez vous ?

Cordialement,

#12 -1 »  connexion site internet et identification automatique » Le 27/11/2013, à 18:56

gegetrois
Réponses : 1

Bonjour,
Je suis sûr que la question a déjà été posée, mais je trouve rien qui corresponde.
Ce que je cherche à  faire :
un script qui  : me connecte à un site internet (babelio par exemple, qui est un site de lecture)
                       et une fois sur la page demandée
                       renseigne automatiquement l'identifiant et le mot de passe et valide la page.
Je suis conscient que cette méthode est dangereuse, et à ne pas utiliser pour une connexion bancaire.
Pour l'instant j'en suis là :

#!/bin/sh
     #vérification de la connection réseau et boucle en attente de connexion
  aa="0"
while [ "$aa" != "60" ] ## Boucle pour faire 60 tests max, soit 10min
do
	## Si non connecté, 10s d'attente et relance le test
	ping -c1 google.fr >/dev/null
	if [ $? != "0" ]; then
	{
		sleep 10
		((aa++))
	}
	else
	{
		break
	}
	fi	
done
if [ "$aa" != "60" ]; then
	{
	## Inscrire ici tous les programmes à démarrer après connection réseau
	## mail-notification --sm-disable | thunderbird | firefox	
	firefox http://www.babelio.com/connection.php
	}
fi
exit 0

Toute le code entre [#!/bin/sh]  et [firefox...] je l'ai trouvé au gré de mes recherches, j'ai compris
que cela attendais le réseau, ce qui est une bonne chose.

merci pour votre aide,
Cordialemnt

#13 -1 »  [résolu] jeux sur yahoo a nouveau impossible » Le 30/08/2013, à 11:20

gegetrois
Réponses : 0

Ca c'est résolu tout seul (?),  comprends pas comment les dossiers se sont crées,
mais pour ceux qui on le même genre de pb, j'ai trouvé des choses intéressantes ici :
http://doc.ubuntu-fr.org/flashplayer

Cordialement,


Up, il me semble que cela n'i)ntéresse pas grand monde.....
serais-je le seul Linuxien à jouer sur les jeux en ligne Yahoo ?
Cordialement,


Bonjour,

Je joue régulièrement aux échecs ou au billard dans Yahoo à cette adresse :
https://login.yahoo.com/config/login_ve … game=Chess

Depuis quelque jours, la  fenêtre qui affiche la table de jeu reste blanche. (mais je n'ai pas de message d'erreur)
J'ai cherché parmi les post : pas de panne similaire

config :  Firefox 23.0,  Ubuntu 12/10 version 32 bits

J'ai lancé Firefox par le terminal et j'ai ceci :

gerard@gerard-W240EU-W250EUQ-W270EUQ:~$ firefox

** (firefox:1901): WARNING **: Failed to open webapp application path dir /usr/share/
ubuntu/unity-webapps/userscripts:
 Erreur à l'ouverture du répertoire « /usr/share/ubuntu/unity-webapps/userscripts »
 : Aucun fichier ou dossier de ce type

** (firefox:1901): WARNING **: Failed to open webapp application path dir /usr/share/
gnome/unity-webapps/userscripts:
 Erreur à l'ouverture du répertoire « /usr/share/gnome/unity-webapps/userscripts »
 : Aucun fichier ou dossier de ce type

** (firefox:1901): WARNING **: Failed to open webapp application path dir /usr/local/
share/unity-webapps/userscripts: 
Erreur à l'ouverture du répertoire « /usr/local/share/unity-webapps/userscripts » 
: Aucun fichier ou dossier de ce type

Je comprends qu'il manque webapp application dans 3 endroits différents, mais comment le remettre ?   

J'ait fait la mise à jour des paquets installés, mais sans résultats.

Quelqu'un aurait-il une idée ?

merci

#14 Re : -1 »  Toutapprendre.com / assimil » Le 19/05/2013, à 23:17

gegetrois
Réponses : 5

Bonjour,

Effectivement, une astuce peut toujours servir.....
malheureusement, (je suis sous Ubuntu 12.10) ca ne fonctionne pas
Une autre piste ?

Cordialement,

#15 Re : -1 »  Logiciel de création et gestion de bases de données Resolu » Le 21/04/2013, à 19:34

gegetrois
Réponses : 14

Ok,

merci pour l'info,

Cordialement,

#16 Re : -1 »  Logiciel de création et gestion de bases de données Resolu » Le 20/04/2013, à 21:44

gegetrois
Réponses : 14

Bonjour,

DidierS, je voudrais savoir quelle méthode tu as utilisé pour récupérer des données depuis Access :

    Le principe donné par 'lemont' qui, comme il le dit lui-même, un peu fastidieux
    ou le principe donné par 'KnarNantais'   avec l'outil  MBDTOOLS 

Cordialement,

#17 Re : -1 »  [Résolu]Connection GPS i-gotU possible ? » Le 13/04/2013, à 22:49

gegetrois
Réponses : 9

Je suis arrivé à me connecter avec le Gps

mais il faut que je lance le fichier "start" avec l'option "Lancer dans un terminal"

dans le terminal j'ai le message ci-dessous mai pas bloquant :

WARNING:  RXTX Version mismatch
	Jar version = RXTX-2.2pre1
	native lib Version = RXTX-2.2pre2
Resource Dir org/jdesktop/application/resources/

j'ai accés à l'application par une fenêtre ou je peux télécharger une trace, la visualiser
la sauver sur le disque.  (le pied quoi !)

1365885186.png

Si je lance le fichier "start"avec  l'option "Lancer"
j'ai un message d'erreur bloquant dans l'appli

"Comport /dev/ttyACMO (defined in thr propertiesfile) not found
Make sure to connect the device before standing the software"

1365885648.png

En tous cas, merci pour les différentes interventions,

#18 -1 »  [Résolu]Connection GPS i-gotU possible ? » Le 23/10/2012, à 11:14

gegetrois
Réponses : 9

Bonjour,

Je suis sous Ubuntu 12.04 LTS avec l'interface Unity,.
version kernel  :

gege@gege-ISTART-2086:~$ uname -a
Linux gege-ISTART-2086 3.2.0-32-generic-pae #51-Ubuntu SMP Wed Sep 26 21:54:23 UTC 2012 i686 athlon i386 GNU/Linux

J'essaie  de connecter un  GPs I-gotU GT 800  PRO au PC.
C'est un produit vendu par Amazone, les magasins Nature & Découverte, entre autre,
et construit par la  firme Mobile Action Technologie:
http://global.mobileaction.com/product/ … 800pro.jsp

Le Gps est connecté sur un port Usb.
Apparemment il est reconnu :

gege@gege-ISTART-2086:~$ lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 003: ID 06f8:e032 Guillemot Corp. HWGUm-54 [Hercules Wireless G Ultra Mini Key]
Bus 005 Device 002: ID 046d:c00e Logitech, Inc. M-BJ58/M-BJ69 Optical Wheel Mouse
Bus 003 Device 004: ID 0df7:0b80 Mobile Action Technology, Inc. 

Je me suis largement inspiré de cette  discussion,  pour mes essais,  je ne sais pas
si les intervenant ont réussi, en tous cas moi, je n'y arrive pas...
http://forum.ubuntu-fr.org/viewtopic.php?pid=9124191

Le logiciel proposé ici http://doc.ubuntu-fr.org/igotu2gpx ne fonctionne pas pour
ce modèle, voir  la précédente discussion.

Ce que j'ai fait :
    télécharger u-gotme.zip à cette adresse :
     https://docs.google.com/file/d/0B4SmH6U … edit?pli=1
    extraction
    je me suis mis dans le groupe uucp
    j'ai donné les droits en écriture aux membres de ce groupe à  /VAR/LOCK
   j'ai changé dans le fichier properties   COM11 par     /dev/ttyACM0
                                                                le chemin c:\\  par /Gps (mon chemin)

Ce que je n'ai pas fait,

Mata4 a écrit :

    -    Il faut passer une option supplémentaire à la JVM pour que RXTX puisse utiliser cet appareil (/dev/ttyACM0, normalement limité à soi-même aux appareils /dev/ttyS *).

    J’utilise le script suivant pour démarrer U-gotMe :

    #! / bin / bash
    ld = "-Djava.library.path = ./rxtx-2.2pre2-bins/x86_64-unknown-linux-gnu /"
    cp = "cp. / lib / *: ./rxtx-2.2pre2-bins / * '"
    port = "Dgnu.io.rxtx.SerialPorts = / dev/ttyACM0"
    java $ {cp} "$ {ld}" "$ {port}"-jar-you gotme.jar

ne comprenant pas comment adapter cette commande à mon cas,  j'ai toujours
le  message  d'erreur de Java : (je suis sous java 6)

2012-10-11 19:11:11  Settings read
2012-10-11 19:11:11  Setting default comport  : /dev/ttyACM0
2012-10-11 19:11:11  Setting default GPX path : /home/gege/Gps
2012-10-11 19:11:11  Setting default log path : /home/gege/Gps
2012-10-11 19:11:11  Setting GPX Version      : 1.1
2012-10-11 19:11:11  Setting debugging        : true
2012-10-11 19:11:11  Command executing thread started
2012-10-11 19:11:11  Command executing thread says 'Zzzzzzz'
java.lang.UnsatisfiedLinkError: /home/gege/Gps/u-gotme/rxtx-2.2pre2-bins/x86_64-unknown-linux-gnu/librxtxSerial.so: /home/gege/Gps/u-gotme/rxtx-2.2pre2-bins/x86_64-unknown-linux-gnu/librxtxSerial.so: mauvaise classe ELF : ELFCLASS64 (Possible cause: architecture word width mismatch) thrown while loading gnu.io.RXTXCommDriver
Exception in thread "AWT-EventQueue-0" java.lang.UnsatisfiedLinkError: /home/gege/Gps/u-gotme/rxtx-2.2pre2-bins/x86_64-unknown-linux-gnu/librxtxSerial.so: /home/gege/Gps/u-gotme/rxtx-2.2pre2-bins/x86_64-unknown-linux-gnu/librxtxSerial.so: mauvaise classe ELF : ELFCLASS64 (Possible cause: architecture word width mismatch)
	at java.lang.ClassLoader$NativeLibrary.load(Native Method)
	at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1807)
	at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1732)
	at java.lang.Runtime.loadLibrary0(Runtime.java:823)
	at java.lang.System.loadLibrary(System.java:1028)
	at gnu.io.CommPortIdentifier.<clinit>(CommPortIdentifier.java:123)
	at net.deepocean.u_gotme.UgotmeView.updatePortList(UgotmeView.java:427)
	at net.deepocean.u_gotme.UgotmeView.initFunctionality(UgotmeView.java:390)
	at net.deepocean.u_gotme.UgotmeView.<init>(UgotmeView.java:35)
	at net.deepocean.u_gotme.UgotmeApp.startup(UgotmeApp.java:39)
	at org.jdesktop.application.Application$1.run(Application.java:171)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:646)
	at java.awt.EventQueue.access$000(EventQueue.java:84)
	at java.awt.EventQueue$1.run(EventQueue.java:607)
	at java.awt.EventQueue$1.run(EventQueue.java:605)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:616)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

J'ajoute que je suis en 32 bits, ne serais-ce pas cela,  l'erreur de Java ? (tout simplement )

Au plaisir de vous lire ,

#20 Re : -1 »  [Résolu]Connection GPS i-gotU possible ? » Le 26/12/2012, à 12:31

gegetrois
Réponses : 9

Salut,
merci pour ta réponse, mais je ne vois pas de téléchargements
pour linux dans ton lien.
C'est bien dommage que l'accés au gps ne fonctionne pas
je suis étonné qu'il n'y ait pas plus de demande des internautes

A+

#21 Re : -1 »  [Résolu]Connection GPS i-gotU possible ? » Le 14/04/2013, à 17:44

gegetrois
Réponses : 9

oui, oui, en lançant le fichier "start  avec l'option "Lancer dans un terminal"
j'arrive à télécharger une trace, la sauver sur le disque,
la visualiser également dans l'appli.
tout ça  fonctionne bien.

(moins convivial que dans Windows qui avait plus d'options, comme par ex:, accéder au fichier et
supprimer des paquets de ligne)

#23 -1 »  droits non conservés au redémarrage » Le 19/10/2012, à 12:07

gegetrois
Réponses : 2

Bonjour,

J'attribue des droits sur le répertoire /var/lock
ok ca marche


gege@gege-ISTART-2086:~$ sudo -s
[sudo] password for gege: 
root@gege-ISTART-2086:~# chown -R gege /var/lock
root@gege-ISTART-2086:~# chgrp -R uucp /var/lock
root@gege-ISTART-2086:~# chmod 770 /var/lock
root@gege-ISTART-2086:~# exit
exit
gege@gege-ISTART-2086:~$ 
gege@gege-ISTART-2086:~$ ls -l /var/lock
lrwxrwxrwx 1 gege uucp 9 oct.  19 11:26 /var/lock -> /run/lock
gege@gege-ISTART-2086:~$ 

J'éteind et je rallume le PC, je regarde les droits accordés précédemment,
ils ne sont pas conservés, et je n'arrive pas à  comprendre pourquoi...


gege@gege-ISTART-2086:~$ ls -l /var/lock
lrwxrwxrwx 1 root root 9 oct.  19 11:43 /var/lock -> /run/lock
gege@gege-ISTART-2086:~$ 

#24 Re : -1 »  droits non conservés au redémarrage » Le 20/10/2012, à 11:40

gegetrois
Réponses : 2

Oui merci,

J'avais bien vu le 'l' en début de ligne, mais je ne comprenais pas que c'était un lien plutôt qu'un répertoire....   je débute.....
donc j'ai repassé mes commandes comme ceci :
 

gege@gege-ISTART-2086:~$ sudo -s
[sudo] password for gege: 
root@gege-ISTART-2086:~# chown -R gege /var/lock
root@gege-ISTART-2086:~# chgrp -R uucp /var/lock
root@gege-ISTART-2086:~# chown -R gege /run/lock
root@gege-ISTART-2086:~# chgrp -R uucp /run/lock
root@gege-ISTART-2086:~# chmod 770 /var/lock
root@gege-ISTART-2086:~# chmod 770 /run/lock
root@gege-ISTART-2086:~# exit
exit
gege@gege-ISTART-2086:~$ ls -l /var/lock
lrwxrwxrwx 1 gege uucp 9 oct.  20 11:09 /var/lock -> /run/lock
gege@gege-ISTART-2086:~$ ls -l /run/lock
total 0
drwxr-xr-x 2 gege uucp 60 oct.  20 11:10 whoopsie
gege@gege-ISTART-2086:~$ 

J'éteind  et je rallume le PC  et je regarde  :

gege@gege-ISTART-2086:~$ ls -l /var/lock
lrwxrwxrwx 1 root root 9 oct.  20 11:17 /var/lock -> /run/lock
gege@gege-ISTART-2086:~$ ls -l /run/lock
total 0
drwxr-xr-x 2 whoopsie whoopsie 60 oct.  20 11:18 whoopsie
gege@gege-ISTART-2086:~$

Donc /var/lock  sont revenu à root : root (normal), mais pour
/run/lock , c'est whoopsie : woopwsie   le propriétaire et le groupe , comprends toujours pas...

NB : pourquoi j'essaie de faire cette manip ?
Pour essayer de connecter un petit gps I-gotU au pc, je m'inspire pour cela de cette discussion http://forum.ubuntu-fr.org/viewtopic.php?id=860281 sur ce forum. C'est le seul lien qui m'oblige à garder Windows